Page MenuHomePhabricator

Can no longer easily add users to CCs, etc. by user names that are part of real names as well
Closed, ResolvedPublic

Description

I'm pretty sure that previously I could add for example @Joe to a task by typing in "Joe" in the "CC" field, and it would be the default match, i. e. typing "Joe" RET would do what I mean. Now a list of five users is displayed whose real names match "Joe", with @Joe being none of them. Typing in "@Joe" does not list any users at all. On the other hand, typing in "scfc" instantly brings up my user account, despite "scfc" not being part of my real name.

It's probably futile to try to come to a consensus what a simple "Joe" should match against by default; however I think "@Joe" should unambiguously match against user names starting with "Joe", and "@Joe" RET should select @Joe.

Event Timeline

scfc created this task.Jan 25 2016, 12:50 PM
scfc raised the priority of this task from to Needs Triage.
scfc updated the task description. (Show Details)
scfc added a project: Phabricator.
scfc added a subscriber: Joe.
Restricted Application added subscribers: StudiesWorld, Luke081515, scfc, Aklapper. · View Herald TranscriptJan 25 2016, 12:50 PM
Luke081515 set Security to None.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:00 PM
Aklapper removed a subscriber: Joe.Sep 23 2016, 4:33 PM

Entering @exactusername (explicitly prefixed by @) is probably a new feature request.
Entering Joe in the Subscribers box of a random task that does not already have @Joe among its subscribers, the fifth item does list the user @Joe here. Is that not the case for you?

@scfc: Could you clarify what is exactly requested in this task?

Aklapper triaged this task as Lowest priority.Oct 9 2016, 2:20 PM
scfc added a subscriber: Joe.Nov 8 2016, 1:49 AM
scfc removed a subscriber: Joe.
scfc closed this task as Resolved.Nov 8 2016, 2:04 AM
scfc added a subscriber: Joe.

@Aklapper: @Joe is now the fifth item when I type in "Joe", but was not when I filed the task. (Blindly typing "@Joe" seems to work but requires that one remembers the whole correct username.)

As this change in sorting may be the result of a conscious code change in Phabricator and I do not have any other user names on hand where this would be a problem, I close this task and will reopen it if the issue reoccurs.